package com.cico.nest.lcdp.boot.core.qxsd.domain.tunnel;

/**
 * 设施隧道类型
 * 隧道类型 0双洞双向1单洞双向2单洞单向
 * @author rfx
 * @date 2024/11/12
 */
public enum TunnelDirectionEnums {
    //100700上行/100701下行'


    up("100700", "上行"),
    down("100701", "下行"),;

    public final String type;

    public final String desc;

    TunnelDirectionEnums(String type, String desc){
        this.desc = desc;
        this.type = type;
    }

    public static String getDesc(String type){
        String desc = "";
        for (TunnelDirectionEnums t: TunnelDirectionEnums.values()){
            if (type.equals(t.type)){
                desc = t.desc;
            }
        }
        return desc;
    }
    public static String getType(String desc){
        String type = "";
        for (TunnelDirectionEnums t: TunnelDirectionEnums.values()){
            if (desc.equals(t.desc)){
                type = t.type;
            }
        }
        return type;
    }
}
